Start typing to search.

API Reference

Get timeseries data for a task

View Markdown
GET /api/metrics/data/timeseries/{taskId}

Daily data points from the metrics database.

Operation IDgetMetricsTimeseries

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

taskIdintegerrequired

Query parameters

daysinteger

Number of days to look back

Success response body

200Timeseries data

Timeseries data

Content typeapplication/json

responseobject
3 properties
availableboolean
taskstring
pointsarray<object>
Array items
itemobject
5 properties
daystring · date
successinteger
errorinteger
avg_duration_msnumber
total_itemsinteger

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}